<template>
  <div class="example-report-view" ref="refView">
    <div class="search-form">
      <Form :model="form" :label-width="110">
        <Row>
          <Col span="6">
            <FormItem label="供应商编码：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="供应商名称：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="ASN单号：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="存货：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
        </Row>
        <Row>
          <Col span="6">
            <FormItem label="代购订单号：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="12">
            <FormItem label="订单交期：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="状态：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
        </Row>
        <Row>
          <Col span="6">
            <FormItem label="采购员：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="采购类型：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="单据类型：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="关闭状态：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
        </Row>
        <Row>
          <Col span="6">
            <FormItem label="是否到货完成：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
          <Col span="6">
            <FormItem label="ASN创建日期：">
              <Input
                v-model="form.WH_Code"
                placeholder="Enter something..."
                size="small"
              ></Input>
            </FormItem>
          </Col>
        </Row>
      </Form>
    </div>
    <div class="buttons">
      <Button type="success" size="small" @click="onExportClick">导出</Button>
    </div>
    <DataTable
      :tableHeight="tableHeight"
      :columns="columns"
      :data="data"
    ></DataTable>
  </div>
</template>

<script>
import { ref } from "vue";
import DataTable from "@/components/examples/data-table.vue";
export default {
  name: "ExampleReportView",
  components: {
    DataTable,
  },
  data() {
    return {
      columns: [],
      data: [],
      tableHeight: 0,
      form: {
        WH_Code: "",
      },
    };
  },
  methods: {
    async loadColumns() {
      this.columns = [
        {
          type: "index",
          title: " ",
          render: (h, { index }) => {
            return h(index);
          },
          width: 50,
        },
        {
          key: "",
          title: "ASN单号",
          width: 100,
        },
        {
          key: "",
          title: "关闭状态",
          width: 100,
        },
        {
          key: "",
          title: "存货状态",
          width: 100,
        },
        {
          key: "",
          title: "存货名称",
          width: 100,
        },
        {
          key: "",
          title: "规格型号",
          width: 100,
        },
        {
          key: "",
          title: "审核状态",
          width: 100,
        },
        {
          key: "",
          title: "发货日期",
          width: 100,
        },
        {
          key: "",
          title: "供应商编码",
          width: 100,
        },
        {
          key: "",
          title: "供应商名称",
          width: 100,
        },
        {
          key: "",
          title: "创建人",
          width: 100,
        },
        {
          key: "",
          title: "创建时间",
          width: 100,
        },
        {
          key: "",
          title: "采购点",
          width: 100,
        },
      ];
    },
    async loadData() {},
    resize() {
      let height =
        this.refView.clientHeight -
        this.$el.querySelector(".search-form").clientHeight -
        this.$el.querySelector(".buttons").clientHeight -
        9 -
        9;
      this.tableHeight = height;
    },
    onExportClick() {},
  },
  async mounted() {
    await this.loadColumns();
    await this.loadData();
    this.$nextTick(() => {
      this.resize();
    });
  },
  setup() {
    const refView = ref(null);
    return { refView };
  },
};
</script>

<style lang="less">
.example-report-view {
  height: 100%;
  .search-form,
  .buttons {
    margin-bottom: 9px;
  }
  .ivu-form .ivu-form-item-label,
  .ivu-checkbox-wrapper {
    font-size: 12px;
  }
}
</style>